aboutsummaryrefslogtreecommitdiffstats
path: root/main/libvirt/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-02-11 15:58:34 +0100
committerNatanael Copa <ncopa@alpinelinux.org>2013-02-11 16:00:44 +0100
commit953ae2a7a0188a8bb3b1fa34023f298c44e6d3b7 (patch)
tree337f06e01bf45ae36e0d3b5e2f7f45f18a9f5b3b /main/libvirt/APKBUILD
parent49e2d2c34d92ddeaadb248333292b3737ebd03f5 (diff)
downloadaports-953ae2a7a0188a8bb3b1fa34023f298c44e6d3b7.tar.gz
aports-953ae2a7a0188a8bb3b1fa34023f298c44e6d3b7.tar.bz2
aports-953ae2a7a0188a8bb3b1fa34023f298c44e6d3b7.tar.xz
main/libvirt: upgrade to 1.0.2 and update public ip NAT patches
Diffstat (limited to 'main/libvirt/APKBUILD')
-rw-r--r--main/libvirt/APKBUILD78
1 files changed, 41 insertions, 37 deletions
diff --git a/main/libvirt/APKBUILD b/main/libvirt/APKBUILD
index fb246694d3..836fd2f42c 100644
--- a/main/libvirt/APKBUILD
+++ b/main/libvirt/APKBUILD
@@ -1,10 +1,8 @@
# Maintainer: Leonardo Arena <rnalrd@alpinelinux.org>
pkgname=libvirt
-vmajor="1.0.0"
-vminor=""
-pkgver="${vmajor}"
+pkgver="1.0.2"
_ver="${pkgver/_rc/-rc}"
-pkgrel=2
+pkgrel=0
pkgdesc="A virtualization API for several hypervisor and container systems"
url="http://libvirt.org/"
arch="all"
@@ -14,7 +12,7 @@ makedepends="augeas-dev bridge-utils cyrus-sasl-dev device-mapper
e2fsprogs-dev gnutls-dev libcap-ng-dev libgpg-error-dev
libnetcf-dev libnl-dev libxml2-dev libxslt-dev libtasn1-dev
lvm2-dev lxc-dev gnutls-dev libgcrypt-dev parted-dev perl pkgconfig
- udev-dev zlib-dev yajl-dev libpcap-dev curl-dev"
+ udev-dev zlib-dev yajl-dev libpcap-dev curl-dev libpciaccess-dev"
install=
subpackages="$pkgname-client $pkgname-daemon $pkgname-dev $pkgname-doc $pkgname-lang
$pkgname-lxc $pkgname-qemu $pkgname-uml"
@@ -22,9 +20,13 @@ source="http://libvirt.org/sources/$pkgname-$pkgver.tar.gz
libvirt.confd
libvirt.initd
uclibc-physmem.patch
- libvirt-1.0.0-remove-uclibc-mkostemp-redefine.patch
0001-util-refactor-iptables-command-construction-into-mul.patch
- 0001-net-support-set-public-ip-for-forward-mode-nat.patch
+
+ 0001-net-support-set-public-ip-range-for-forward-mode-nat.patch
+ 0002-net-add-support-for-specifying-port-range-for-forwar.patch
+
+ 0001-complete-virterror-virerror-name-change.patch
+ 0001-Fix-missing-error-constants-in-libvirt-python-module.patch
"
if [ "$ALPINE_LIBC" != "eglibc" ]; then
@@ -32,10 +34,10 @@ if [ "$ALPINE_LIBC" != "eglibc" ]; then
makedepends="$makedepends xen-dev"
fi
-_builddir="$srcdir"/$pkgname-$vmajor
+_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
- cd "$_builddir"
+ cd "$_builddir" || return 1
for patch in $source; do
case $patch in
# we concider patches with uclibc in its name
@@ -104,50 +106,52 @@ client() {
}
_mv_driver() {
- mkdir -p "$subpkgdir"/usr/lib/libvirt/connection-driver \
- "$subpkgdir"/etc/libvirt "$subpkgdir"/etc/logrotate.d
- mv "$pkgdir"/usr/lib/libvirt/connection-driver/libvirt_driver_$1.so \
- "$subpkgdir"/usr/lib/libvirt/connection-driver/
- if [ "$1" != "xen" ]; then
- mv "$pkgdir"/etc/logrotate.d/libvirtd.$1 \
- "$subpkgdir"/etc/logrotate.d/
+ local _name="$1" _driver="$2" _pkg="$3"
+ pkgdesc="$_name driver for libvirt"
+ depends="libvirt-daemon logrotate"
+ replaces="libvirt"
+ if [ -n "$_pkg" ]; then
+ install_if="$pkgname-daemon=$pkgver-r$pkgrel $_pkg"
+ else
+ install_if=
+ fi
+ local _dir=/usr/lib/libvirt/connection-driver
+ mkdir -p "$subpkgdir"/$_dir \
+ "$subpkgdir"/etc/libvirt \
+ "$subpkgdir"/etc/logrotate.d
+
+ mv "$pkgdir"/$_dir/libvirt_driver_$_driver.so "$subpkgdir"/$_dir/ \
+ || return 1
+
+ if [ -e "$pkgdir"/etc/logrotate.d/libvirtd.$_driver ]; then
+ mv "$pkgdir"/etc/logrotate.d/libvirtd.$_driver \
+ "$subpkgdir"/etc/logrotate.d/
fi
}
qemu() {
- pkgdesc="QEMU driver for libvirt"
- depends="libvirt-daemon logrotate"
- replaces="libvirt"
- _mv_driver qemu
+ _mv_driver "QEMU" qemu qemu
mv "$pkgdir"/etc/libvirt/qemu.conf "$subpkgdir"/etc/libvirt/
}
xen() {
- pkgdesc="XEN driver for libvirt"
- depends="libvirt-daemon"
- replaces="libvirt"
- _mv_driver xen
+ _mv_driver "XEN" xen xen
}
lxc() {
- pkgdesc="lxc driver for libvirt"
- depends="libvirt-daemon logrotate"
- replaces="libvirt"
- _mv_driver lxc
+ _mv_driver "LXC" lxc lxc
}
uml() {
- pkgdesc="UML driver for libvirt"
- depends="libvirt-daemon logrotate"
- replaces="libvirt"
- _mv_driver uml
+ _mv_driver "UML" uml
}
-md5sums="7c8b006de7338e30866bb56738803b21 libvirt-1.0.0.tar.gz
+md5sums="7e268ed702c4331d393e5b43449cae13 libvirt-1.0.2.tar.gz
1c84a7baeafe0a7f4e9d7ae5180311b7 libvirt.confd
d897df38c7e7fa1a297aa551108633c9 libvirt.initd
df9cbfaf8a6e520a4822914a300add4d uclibc-physmem.patch
-e992133db641b20cb43dda704518984d libvirt-1.0.0-remove-uclibc-mkostemp-redefine.patch
-671eb364f071e67f58ab2c01ec357567 0001-util-refactor-iptables-command-construction-into-mul.patch
-20ef9eab94e9a52aa401ddbcb066aeb2 0001-net-support-set-public-ip-for-forward-mode-nat.patch"
-
+98a496d6d606c3406e6f8b03c3b25028 0001-util-refactor-iptables-command-construction-into-mul.patch
+05789e003f4b90808b6898e9d72ad8f4 0001-net-support-set-public-ip-range-for-forward-mode-nat.patch
+de01f68b563a51dd39b873c5eade0f25 0002-net-add-support-for-specifying-port-range-for-forwar.patch
+854982416fafeabbeca06e807c868a9c 0001-complete-virterror-virerror-name-change.patch
+dcb427eeceb5dcb79e5ea8eef748e44d 0001-Fix-missing-error-constants-in-libvirt-python-module.patch"